# GUICompoundElement

class GUICompoundElement<T : ForInventory>(icon: ItemStack, onClick: (GUIClickEvent<T>) -> Unit?)
Content copied to clipboard

A simple compound element, covering the most common compound use cases.

## See also

GUIPageBuilder.createSimpleCompound
GUIPageBuilder.createSimpleRectCompound

## Constructors

GUICompoundElement
Link copied to clipboard
fun <T : ForInventory> GUICompoundElement(icon: ItemStack, onClick: (GUIClickEvent<T>) -> Unit? = null)
Content copied to clipboard

## Functions

equals
Link copied to clipboard
open operator fun equals(other: Any?): Boolean
Content copied to clipboard
hashCode
Link copied to clipboard
open fun hashCode(): Int
Content copied to clipboard
toString
Link copied to clipboard
open fun toString(): String
Content copied to clipboard